> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unifygtm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List jobs

> List all record query jobs.



## OpenAPI

````yaml GET /data/v1/objects/{object_name}/query-jobs
openapi: 3.1.0
info:
  title: Unify Data API
  summary: Interact with objects, attributes, and records within the Unify platform.
  version: '1'
  termsOfService: https://www.unifygtm.com/legal/terms-and-conditions
  contact:
    name: Unify Support
    url: https://www.unifygtm.com/support
    email: support@unifygtm.com
servers:
  - url: https://api.unifygtm.com
    variables: {}
security:
  - ApiKeyAuth: []
tags:
  - name: Data
  - name: Object Record Query Jobs
  - name: Event Query Jobs
  - name: Lists
  - name: List Entries
  - name: Objects
  - name: Object Attributes
  - name: Object Attribute Options
  - name: Object Records
paths:
  /data/v1/objects/{object_name}/query-jobs:
    get:
      tags:
        - Data
        - Object Record Query Jobs
      description: List query jobs for an object.
      operationId: list_object_record_query_jobs
      parameters:
        - name: object_name
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/UObjects.UObjectName'
        - name: cursor
          in: query
          required: false
          description: Opaque cursor returned by the previous page.
          schema:
            type: string
          explode: false
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 100
          explode: false
        - name: status
          in: query
          required: false
          description: Filter jobs by status.
          schema:
            $ref: '#/components/schemas/BulkApiJobStatus'
          explode: false
      responses:
        '200':
          description: Response returned when listing query jobs.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListBulkApiJobsSuccessResponse'
        '400':
          description: Response for any operation that results in a bad request error.
          content:
            application/json:
              schema:
                type: object
                required:
                  - status
                properties:
                  status:
                    type: string
                    enum:
                      - bad_request
                  errors:
                    type: array
                    items:
                      $ref: '#/components/schemas/UResponses.BadRequestError'
                  message:
                    type: string
                description: >-
                  Response for any operation that results in a bad request
                  error.
        '401':
          description: Response for any operation that results in an unauthorized error.
          content:
            application/json:
              schema:
                type: object
                required:
                  - status
                  - message
                properties:
                  status:
                    type: string
                    enum:
                      - unauthorized
                  message:
                    type: string
                description: >-
                  Response for any operation that results in an unauthorized
                  error.
        '429':
          description: Response for any operation that exceeds a rate limit.
          content:
            application/json:
              schema:
                type: object
                required:
                  - status
                  - message
                properties:
                  status:
                    type: string
                    enum:
                      - rate_limited
                  message:
                    type: string
                description: Response for any operation that exceeds a rate limit.
        '500':
          description: Response for any operation that results in an internal server error.
          content:
            application/json:
              schema:
                type: object
                required:
                  - status
                  - message
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
                description: >-
                  Response for any operation that results in an internal server
                  error.
components:
  schemas:
    UObjects.UObjectName:
      type: string
      description: |-
        The API name of an object, e.g. `company`, `person`, `opportunity`, or a
        custom object's API name.
    BulkApiJobStatus:
      type: string
      enum:
        - IN_PROGRESS
        - FINISHED
        - FAILED
        - EXPIRED
        - CANCELED
      description: Status of an asynchronous query job.
    ListBulkApiJobsSuccessResponse:
      type: object
      required:
        - jobs
        - next_cursor
      properties:
        jobs:
          type: array
          items:
            $ref: '#/components/schemas/BulkApiJob'
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
      description: Response returned when listing query jobs.
    UResponses.BadRequestError:
      type: object
      required:
        - code
      properties:
        code:
          type: string
        path:
          type: array
          items:
            anyOf:
              - type: string
              - type: integer
        object_api_name:
          type: string
        attribute_api_name:
          type: string
      allOf:
        - type: object
          unevaluatedProperties: {}
      description: Validation error detail returned for bad request responses.
    BulkApiJob:
      type: object
      required:
        - job_id
        - status
        - total_rows
        - error_code
        - created_at
        - expires_at
        - canceled_at
      properties:
        job_id:
          type: string
        status:
          $ref: '#/components/schemas/BulkApiJobStatus'
        total_rows:
          anyOf:
            - type: integer
            - type: 'null'
        error_code:
          anyOf:
            - $ref: '#/components/schemas/BulkApiJobErrorCode'
            - type: 'null'
        created_at:
          type: string
        expires_at:
          type: string
          description: Time the job and its results expire, 24 hours after creation.
        canceled_at:
          anyOf:
            - type: string
            - type: 'null'
      description: query job representation.
    BulkApiJobErrorCode:
      type: string
      enum:
        - INTERNAL_ERROR
        - QUERY_TIMEOUT
        - RESOURCE_EXHAUSTED
      description: Terminal failure classification for a query job.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.